Bug 171309 - Perhaps some service stuff to start flow-capture
Summary: Perhaps some service stuff to start flow-capture
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: flow-tools (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul P Komkoff Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-20 17:08 UTC by Orion Poplawski
Modified: 2008-02-26 00:26 UTC (History)
1 user (show)

Fixed In Version: 0.68.3-1.fc8
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 00:21:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Init script (1.14 KB, text/plain)
2005-10-20 17:08 UTC, Orion Poplawski
no flags Details
sysconfig file (111 bytes, text/plain)
2005-10-20 17:08 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2005-10-20 17:08:18 UTC
Description of problem:
It might be nice to have a default init script for running flow-capture as a
system service.  I've attached an init script and a /etc/sysconfig config file.
 The config file is similar to what I'm using, perhaps there is a better
"normal" configuration.

Version-Release number of selected component (if applicable):
flow-tools-0.68-2.fc4

Comment 1 Orion Poplawski 2005-10-20 17:08:18 UTC
Created attachment 120196 [details]
Init script

Comment 2 Orion Poplawski 2005-10-20 17:08:57 UTC
Created attachment 120197 [details]
sysconfig file

Comment 3 Paul P Komkoff Jr 2005-10-20 19:23:26 UTC
I prefer this stuff be started from non-root user. Can you borrow some bits from
another packages and update your init script? Thanks in advance :)

(I wanted to do this myself but don't have much time now)

Comment 4 Christian Iseli 2007-01-17 23:21:54 UTC
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)

Comment 5 Orion Poplawski 2007-05-09 16:23:05 UTC
Moving to devel as I do mean to address this some day.

Comment 6 Orion Poplawski 2007-09-13 17:10:35 UTC
Paul -

  Since we're talking about getting this updated and into EPEL, seems like a
good time to address this as well.  I've put a new srpm here:

http://www.cora.nwra.com/~orion/fedora/flow-tools-0.68.1-2.fc8.src.rpm

This package creates a flowtools user/group and starts the service under that user.

Comment 7 Paul P Komkoff Jr 2007-09-13 19:52:06 UTC
Do you know if approach from here is compatible with EPEL?
http://fedoraproject.org/wiki/PackageUserCreation

I, actually, have flow-tools user registered in
http://fedoraproject.org/wiki/PackageUserRegistry (uid/gid 40)

Comment 8 Orion Poplawski 2007-09-13 20:05:06 UTC
(In reply to comment #7)
> Do you know if approach from here is compatible with EPEL?
> http://fedoraproject.org/wiki/PackageUserCreation
 
I can't see why it wouldn't be.  Worked fine for me on my CentOS5 test machine.

> I, actually, have flow-tools user registered in
> http://fedoraproject.org/wiki/PackageUserRegistry (uid/gid 40)

This is only applicable if you want to user fedora-usermgmt.  I'll leave that
decision up to you.

Comment 9 Paul P Komkoff Jr 2007-09-13 22:14:40 UTC
So, if this one
http://palevo.sgu.ru/mockbuild/7/SRPMS/flow-tools-0.68.1-2.fc7.src.rpm works for
you on CentOS5, then I'm going to commit this one (and I still haven't fixed
that bug I was talking about, silly me).

Comment 10 Orion Poplawski 2007-09-13 23:14:34 UTC
Well, you don't need:

Requires(pre): shadow-utils

with fedora-usermgmt.  I believe that is what:

%{?FE_USERADD_REQ}

essentially does.

I'll take a look in the morning, but it should be good.

Comment 11 Orion Poplawski 2007-09-14 15:02:28 UTC
Need to change the default username in the init script to "flow-tools" from
"flowtools", but otherwise looks good and works on EL5.

Comment 12 Paul P Komkoff Jr 2007-09-14 18:51:12 UTC
OK, I cvscommitted it in devel, haven't done any tag or build yet but will do soon

Comment 13 Fedora Update System 2007-11-26 18:57:14 UTC
flow-tools-0.68.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update flow-tools'

Comment 14 Fedora Update System 2007-12-06 20:43:17 UTC
flow-tools-0.68.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update flow-tools'

Comment 15 Fedora Update System 2008-02-26 00:21:12 UTC
flow-tools-0.68.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2008-02-26 00:26:48 UTC
flow-tools-0.68.3-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.